# Search for pages

Fetches a list of pages and folders whose name or display name match the search criteria, while applying filters and language options.

Endpoint: GET /api/v1/pages/search
Version: v1
Security: Bearer

## Query parameters:

  - `searchText` (string)
    The text by which to search for the name or display name.
    Example: "Home"

  - `rootIds` (array)
    If you want to limit the search to pages or folders under a specific parent, the list of identifiers to search under.
    Example: ["758852c6488045cca3947d83ff2f56e7","888852c6488045cca3947d83ff2f56e7"]

  - `filter` (string)
    The search filter. Possible values are "Pages" (items that have a presentation layout and can be rendered), "Folders" (items that use 'folder' as their base template), "All" (both pages and folders).
    Enum: "Pages", "Folders", "All"

  - `language` (string)
    If you want to limit the search to items in a specific language, the language code of those items.
    Example: "en"

  - `pageSize` (integer)
    The page size of the results to return.
    Example: 10

  - `pageNumber` (integer)
    The page number used to paginate the results.
    Example: 1

  - `continuationToken` (string)
    Continuation token for pagination.

  - `environmentId` (string)
    The identifier of the environment.

## Response 200 fields (application/json):

  - `totalCount` (integer)
    The total number of pages found by the search.
Example value: 25
    Example: 25

  - `results` (array,null)
    The collection of result pages returned by the search.

  - `results.url` (string,null)
    The page URL path.
Example value: /about
    Example: "/about"

  - `results.icon` (string,null)
    Path to the icon associated with the page.
Example value: Applications/32x32/document_heart.png
    Example: "Applications/32x32/document_heart.png"

  - `results.versionName` (string,null)
    The name of the page version.
Example value: Black Friday content update
    Example: "Black Friday content update"

  - `results.revision` (string,null)
    The revision of the page.
Example value: f7d29433-001e-4a35-a744-876759dba468
    Example: "f7d29433-001e-4a35-a744-876759dba468"

  - `results.createdAt` (string,null)
    The date the page was created.
Example value: 2025-01-27T10:33:33Z
    Example: "2025-01-27T10:33:33Z"

  - `results.updatedAt` (string,null)
    The date the page was last updated.
Example value: 2025-01-27T10:39:02Z
    Example: "2025-01-27T10:39:02Z"

  - `results.createdBy` (string,null)
    The user who created the page.
Example value: john.doe@sitecore.com
    Example: "john.doe@sitecore.com"

  - `results.updatedBy` (string,null)
    The user who last updated the page.
Example value: john.doe@sitecore.com
    Example: "john.doe@sitecore.com"

  - `results.template` (object)

  - `results.template.id` (string,null)
    The identifier of the page template.
Example value: 2341ef32-42f4-4537-98d8-9ef741008eab
    Example: "2341ef32-42f4-4537-98d8-9ef741008eab"

  - `results.template.name` (string,null)
    The name of the page template.
Example value: MainPage
    Example: "MainPage"

  - `results.template.path` (string,null)
    The path of the page template.
Example value: /sitecore/templates/Standard Template
    Example: "/sitecore/templates/Standard Template"

  - `results.template.baseTemplateIds` (array,null)
    The identifiers of the base templates.
Example value: [
  "4cf51e95-ee7e-4ad6-a69f-e4d740b03616",
  "d9584f11-07d3-4cda-8373-7f97ceedbc09"
]
    Example: ["4cf51e95-ee7e-4ad6-a69f-e4d740b03616","d9584f11-07d3-4cda-8373-7f97ceedbc09"]

  - `results.template.displayName` (string,null)
    The display name of the page template.
Example value: Main Page
    Example: "Main Page"

  - `results.template.isBranchTemplate` (boolean)
    Whether the template is a branch template.
Example value: True
    Example: true

  - `results.workflow` (object)

  - `results.workflow.id` (string,null)
    The identifier of the workflow state.
Example value: 77ac7ce9-803a-42e3-bb05-f79fca73cbce
    Example: "77ac7ce9-803a-42e3-bb05-f79fca73cbce"

  - `results.workflow.displayName` (string,null)
    The display name of the workflow.
Example value: Page Workflow
    Example: "Page Workflow"

  - `results.workflow.finalState` (boolean)
    Whether the page is in the final workflow state.
Example value: True
    Example: true

  - `results.workflow.canEdit` (boolean)
    Whether the page can be edited.
Example value: True
    Example: true

  - `results.workflow.warnings` (array,null)
    The list of warnings associated with the workflow.

  - `results.workflow.warnings.id` (string,null)
    The identifier of the page on which the warning occurred.
Example value: 8f0b81bc-7388-46be-b109-6e73d1114470
    Example: "8f0b81bc-7388-46be-b109-6e73d1114470"

  - `results.workflow.warnings.errorCode` (string,null)
    The error code of the warning.
Example value: SomeDatasourcesAreLocked
    Example: "SomeDatasourcesAreLocked"

  - `results.workflow.warnings.message` (string,null)
    The warning message.
Example value: Some of the page datasources are locked.
    Example: "Some of the page datasources are locked."

  - `results.workflow.icon` (string,null)
    Path to the icon associated with the workflow.
Example value: Applications/32x32/document_heart.png
    Example: "Applications/32x32/document_heart.png"

  - `results.workflow.commands` (array,null)
    The list of commands available in the current workflow state.

  - `results.workflow.commands.id` (string,null)
    The identifier of the workflow command.
Example value: cf6a557d-0b86-4432-bf47-302a18238e74
    Example: "cf6a557d-0b86-4432-bf47-302a18238e74"

  - `results.workflow.commands.displayName` (string,null)
    The display name of the workflow command.
Example value: Submit
    Example: "Submit"

  - `results.workflow.commands.icon` (string,null)
    The icon associated with the workflow command.
Example value: office/16x16/submit.png
    Example: "office/16x16/submit.png"

  - `results.workflow.commands.suppressComment` (boolean)
    Specifies whether to suppress the comment form when executing the workflow command.

  - `results.publishing` (object)

  - `results.publishing.isPublishable` (boolean)
    Whether the page is publishable.
Example value: True
    Example: true

  - `results.publishing.hasPublishableVersion` (boolean)
    Whether the page has a publishable version.
Example value: True
    Example: true

  - `results.publishing.isAvailableToPublish` (boolean)
    Whether the page version is available to publish (version is not hidden).
Example value: True
    Example: true

  - `results.publishing.validFromDate` (string,null)
    The date from which the page is available for publishing.
Example value: 2023-10-01T00:00:00Z
    Example: "2023-10-01T00:00:00Z"

  - `results.publishing.validToDate` (string,null)
    The date until which the page is available for publishing.
Example value: 2023-12-31T23:59:59Z
    Example: "2023-12-31T23:59:59Z"

  - `results.finalLayout` (string,null)
    The final layout of the page.
Example value: {\"devices\":[{\"id\":\"fe5d7fdf-89c0-4d99-9aa3-b5fbd009c9f3\",\"layoutId\":\"96e5f4ba-a2cf-4a4c-a4e7-64da88226362\",\"placeholders\":[],\"renderings\":[{\"id\":\"9c6d53e3-fe57-4638-af7b-6d68304c7a94\",\"instanceId\":\"ad5e15fb-896b-4415-8735-5e4d6b1543e1\",\"placeholderKey\":\"headless-main\",\"dataSource\":\"local:/Data/Text 1\",\"parameters\":{\"GridParameters\":\"{7465D855-992E-4DC2-9855-A03250DFA74B}\",\"FieldNames\":\"{940B57D1-13EA-429D-8C7E-2F6C1307B1B1}\",\"Styles\":\"\",\"RenderingIdentifier\":\"\",\"CSSStyles\":\"\",\"DynamicPlaceholderId\":\"1\"}}]}]}
    Example: "{\\\"devices\\\":[{\\\"id\\\":\\\"fe5d7fdf-89c0-4d99-9aa3-b5fbd009c9f3\\\",\\\"layoutId\\\":\\\"96e5f4ba-a2cf-4a4c-a4e7-64da88226362\\\",\\\"placeholders\\\":[],\\\"renderings\\\":[{\\\"id\\\":\\\"9c6d53e3-fe57-4638-af7b-6d68304c7a94\\\",\\\"instanceId\\\":\\\"ad5e15fb-896b-4415-8735-5e4d6b1543e1\\\",\\\"placeholderKey\\\":\\\"headless-main\\\",\\\"dataSource\\\":\\\"local:/Data/Text 1\\\",\\\"parameters\\\":{\\\"GridParameters\\\":\\\"{7465D855-992E-4DC2-9855-A03250DFA74B}\\\",\\\"FieldNames\\\":\\\"{940B57D1-13EA-429D-8C7E-2F6C1307B1B1}\\\",\\\"Styles\\\":\\\"\\\",\\\"RenderingIdentifier\\\":\\\"\\\",\\\"CSSStyles\\\":\\\"\\\",\\\"DynamicPlaceholderId\\\":\\\"1\\\"}}]}]}"

  - `results.sharedLayout` (string,null)
    The shared layout of the page.
Example value: {\"devices\":[{\"id\":\"fe5d7fdf-89c0-4d99-9aa3-b5fbd009c9f3\",\"layoutId\":\"96e5f4ba-a2cf-4a4c-a4e7-64da88226362\",\"placeholders\":[],\"renderings\":[]}]}
    Example: "{\\\"devices\\\":[{\\\"id\\\":\\\"fe5d7fdf-89c0-4d99-9aa3-b5fbd009c9f3\\\",\\\"layoutId\\\":\\\"96e5f4ba-a2cf-4a4c-a4e7-64da88226362\\\",\\\"placeholders\\\":[],\\\"renderings\\\":[]}]}"

  - `results.layoutEditingKind` (string,null)
    The type of layout for editing (Shared of Final).
Example value: Final
    Example: "Final"

  - `results.id` (string,null)
    The page identifier.
Example value: 68900348a3b84eb8ac7df4d179c25727
    Example: "68900348a3b84eb8ac7df4d179c25727"

  - `results.name` (string,null)
    The page's system name.
Example value: Home
    Example: "Home"

  - `results.displayName` (string,null)
    The page's display name.
Example value: Site Home
    Example: "Site Home"

  - `results.language` (string,null)
    The page language.
Example value: en-US
    Example: "en-US"

  - `results.version` (integer)
    The current version of the page.
Example value: 1
    Example: 1

  - `results.templateId` (string,null)
    The identifier of the template this page is based on.
Example value: 6fe7d6551e3d4c2780105777f06c6c4f
    Example: "6fe7d6551e3d4c2780105777f06c6c4f"

  - `results.parentId` (string,null)
    The identifier of the page's parent.
Example value: 4bc0c81a280b4b13890b7b074b9d68f4
    Example: "4bc0c81a280b4b13890b7b074b9d68f4"

  - `results.hasPresentation` (boolean)
    If set to true, this page can be rendered in the XM Cloud Pages application. This value is automatically set to false for the root item of the site, as well as for the folders if there are any.
Example value: True
    Example: true

  - `results.hasChildren` (boolean)
    Whether the page has any child pages.
Example value: True
    Example: true

  - `results.isLatestPublishableVersion` (boolean)
    Whether the page version is latest publishable version
Example value: True
    Example: true

  - `results.permissions` (object)
    The access rights of the current user to the site.

  - `results.permissions.canAdmin` (boolean)
    Whether the current user has admin rights. Being an admin means that you control access permissions for other users, and have full read and write rights.
Example value: False

  - `results.permissions.canWrite` (boolean)
    Whether the current user has permissions to edit values. Users with write access also have read access.
Example value: False

  - `results.permissions.canCreate` (boolean)
    Whether the current user has permission to create entities.
Example value: False

  - `results.permissions.canDelete` (boolean)
    Whether the current user has permission to delete entities.
Example value: False

  - `results.permissions.canRename` (boolean)
    Whether the current user has permission to rename entities.
Example value: False

  - `results.permissions.canRead` (boolean)
    Whether the current user has permission to see entities, including all their parameters.
Example value: False

  - `results.permissions.canPublish` (boolean)
    Whether the current user has permission to publish sites in this environment.
Example value: False

  - `results.permissions.canDuplicate` (boolean)
    Whether the current user has permission to duplicate entities.
Example value: False

  - `results.permissions.canWriteLanguage` (boolean)
    Whether the current user has permission to write item language entities.
Example value: False

  - `results.locking` (object)

  - `results.locking.canUnlock` (boolean)
    Whether the current user can unlock the page for editing.
Example value: False

  - `results.locking.isLocked` (boolean)
    Whether the page is currently locked for editing.
Example value: False

  - `results.locking.lockedBy` (string,null)
    If the page is locked, the user who locked it.
Example value: john.smith@skate-park.com
    Example: "john.smith@skate-park.com"

  - `results.locking.lockedByCurrentUser` (boolean)
    Whether the page was locked by the current user.
Example value: False

  - `results.path` (string,null)
    The path for the page.
Example value: Sitecore/Content/Home/Categories/Products/MyProduct
    Example: "Sitecore/Content/Home/Categories/Products/MyProduct"

  - `results.route` (string,null)
    The public-facing URL path relative to the site's root.
Example value: /Aboutus
    Example: "/Aboutus"

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


## Response 503 fields
